com.jscape.inet.ssh.protocol.v2.authentication

## Class ComponentClientAuthentication

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.authentication.ComponentClientAuthentication

- All Implemented Interfaces:
    ClientAuthentication

      public class ComponentClientAuthentication
      extends java.lang.Object
      implements ClientAuthentication

  Component SSH client authentication operation. Represents a container for multi-stage authentications.
  Author:
    Alex Usun

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.jscape.inet.ssh.protocol.v2.authentication.ClientAuthentication

      `ClientAuthentication.InvalidCredentialsException, ClientAuthentication.PartialSuccessException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentClientAuthentication(ClientAuthentication... authentications)` Creates a new operation instance.
    `ComponentClientAuthentication(java.util.List<ClientAuthentication> authentications)` Creates a new operation instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTo(com.jscape.inet.ssh.protocol.v2.transport.TransportConnection connection, java.lang.String serviceName)` Performs actual client authentication.
    `java.util.List<ClientAuthentication>` | `authentications()` Returns authentications.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentClientAuthentication

          public ComponentClientAuthentication(java.util.List<ClientAuthentication> authentications)

      Creates a new operation instance.
      Parameters:
        `authentications` - authentications

    - #### ComponentClientAuthentication

          public ComponentClientAuthentication(ClientAuthentication... authentications)

      Creates a new operation instance.
      Parameters:
        `authentications` - authentications

  - ### Method Detail

    - #### applyTo

          public void applyTo(com.jscape.inet.ssh.protocol.v2.transport.TransportConnection connection,
                              java.lang.String serviceName)
                       throws java.lang.Exception

      Description copied from interface: `ClientAuthentication`
      Performs actual client authentication.
      Specified by:
        `applyTo` in interface `ClientAuthentication`
      Parameters:
        `connection` - SSH transport connection
        `serviceName` - target service name
      Throws:
        `java.lang.Exception` - if an error occurs

    - #### authentications

          public java.util.List<ClientAuthentication> authentications()

      Returns authentications.
      Returns:
        authentications

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved